View Issue Details

IDProjectCategoryView StatusLast Update
0002064SymmetricDSBugpublic2014-12-01 07:26
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.12 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002064: NVARCHAR field is not mapped in MySQL DDL Builder
DescriptionWhile performing an initial load from MSSQL Server to MySQL and creating tables first, NVARCHAR columns are not able to be created.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a7874983

2014-11-11 13:33:46

chenson

Details Diff
0002064: NVARCHAR field is not mapped in MySQL DDL Builder
0002064
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File

SymmetricDS: master 047924ee

2014-11-12 20:12:11

chenson

Details Diff
0002064: NVARCHAR field is not mapped in MySQL DDL Builder
0002064
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseInfo.java Diff File

SymmetricDS: master 9b5e61e6

2014-11-12 20:12:20

chenson

Details Diff
0002064: NVARCHAR field is not mapped in MySQL DDL Builder
0002064
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

SymmetricDS: master c252a263

2014-11-13 07:54:48

chenson

Details Diff
0002064: NVARCHAR field is not mapped in database dialects
0002064
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/derby/DerbyDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2014-11-11 13:32 josh-a-hicks New Issue
2014-11-11 13:32 josh-a-hicks Status new => assigned
2014-11-11 13:32 josh-a-hicks Assigned To => chenson
2014-11-11 13:34 chenson Status assigned => resolved
2014-11-11 13:34 chenson Fixed in Version => 3.6.14
2014-11-11 13:34 chenson Resolution open => fixed
2014-11-11 13:34 chenson Assigned To chenson => josh-a-hicks
2014-11-11 14:00 chenson Changeset attached => SymmetricDS 3.6 r8927
2014-11-11 14:00 chenson Changeset attached => SymmetricDS trunk r8928
2014-11-12 21:00 chenson Changeset attached => SymmetricDS 3.6 r8932
2014-11-12 21:00 chenson Changeset attached => SymmetricDS trunk r8933
2014-11-12 21:00 chenson Changeset attached => SymmetricDS trunk r8934
2014-11-13 08:00 chenson Changeset attached => SymmetricDS 3.6 r8936
2014-11-13 08:00 chenson Changeset attached => SymmetricDS trunk r8937
2014-11-16 19:20 chenson Project SymmetricDS Pro => SymmetricDS
2014-12-01 07:26 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c252a263
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9b5e61e6
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 047924ee
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a7874983